### Method

# EBackend SourceRegistryServer load_resource

since: 3.8

#### Declaration [src]

    gboolean
    e_source_registry_server_load_resource (
      ESourceRegistryServer* server,
      GResource* resource,
      const gchar* path,
      ESourcePermissionFlags flags,
      GError** error
    )

#### Description [src]

Loads data source key files from `resource` by enumerating the children at `path` and calling `e_source_registry_server_load_file()` on each child. Because multiple errors can occur when loading multiple files, `error` is only set if `path` is invalid. If a key file fails to load, the error is broadcast through the `ESourceRegistryServer::load-error` signal.

Available since: 3.8

#### Parameters

`resource`

  Type: `GResource`

  A `GResource` containing data source key files.

  The data is owned by the caller of the method.

`path`

  Type: `const gchar*`

  The path to the data source key files inside `resource`.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`flags`

  Type: `ESourcePermissionFlags`

  Permission flags for files loaded from `path`.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if `path` was successfully located, but this does not imply the key files were successfully loaded.